## soapynetsdr-0.2.0-3.src.tar.gz

=== CMakeLists.txt ===
########################################################################
# Build Soapy SDR support module for NetSDR
########################################################################
cmake_minimum_required(VERSION 3.1)

project(SoapyNetSDR CXX)

if(CMAKE_COMPILER_IS_GNUCXX)

    #disable warnings for unused parameters
    add_definitions(-Wno-unused-parameter)

endif(CMAKE_COMPILER_IS_GNUCXX)

find_package(SoapySDR CONFIG)
if (NOT SoapySDR_FOUND)
    message(FATAL_ERROR "Soapy SDR development files not found...")
endif ()

SOAPY_SDR_MODULE_UTIL(
    TARGET netSDRSupport
    SOURCES
        NetSDR_Registration.cpp
        NetSDR_Settings.cpp
        NetSDR_Streaming.cpp
)

#network libraries
if (WIN32)
    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
    add_definitions(-D_WINSOCK_DEPRECATED_NO_WARNINGS)
    target_link_libraries(netSDRSupport PRIVATE ws2_32)
endif (WIN32)

#network interface enumeration
if (WIN32)
    target_sources(netSDRSupport PRIVATE InterfacesWindows.cpp)
else ()
    target_sources(netSDRSupport PRIVATE InterfacesUnix.cpp)
endif ()

=== PKGBUILD ===
# Maintainer: Filipe Laíns (FFY00) <lains@archlinux.org>

pkgname=soapynetsdr
pkgver=0.2.0
_pkgname=SoapyNetSDR
_gitver=soapy-netsdr-$pkgver
pkgrel=3
pkgdesc='Soapy SDR plugin for the NetSDR protocol'
arch=('x86_64')
url='https://github.com/pothosware/SoapyNetSDR'
license=('GPL3')
depends=('soapysdr')
makedepends=('cmake')
source=("$pkgname-$pkgver.tar.gz::$url/archive/$_gitver.tar.gz")
sha512sums=('84d6936ef51cb10289250171bcf50fbbb758e8d5488d4cd8ff063dfe43aa3870118006f93aaafa3a485a185fc343285c424c4b3f40aaeebb97d7726da70602f7')

build() {
  mkdir -p $_pkgname-$_gitver/build
  cd $_pkgname-$_gitver/build

  cmake .. \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DCMAKE_BUILD_TYPE=Release

  make
}

package() {
  cd $_pkgname-$_gitver/build

  make DESTDIR="$pkgdir" install
}
